GroovyPageOutputStack.GroovyPageProxyWriter (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class GroovyPageOutputStack.GroovyPageProxyWriter

    java.lang.Object
      java.io.Writer
          org.codehaus.groovy.grails.web.util.GrailsPrintWriter
              org.codehaus.groovy.grails.web.util.GrailsLazyProxyPrintWriter
                  org.codehaus.groovy.grails.web.pages.GroovyPageOutputStack.GroovyPageProxyWriter

    public class GroovyPageOutputStack.GroovyPageProxyWriter
    extends GrailsLazyProxyPrintWriter

Field Summary

Fields inherited from class GrailsPrintWriter
CRLF, LOG, allowUnwrappingOut, out, previousOut, streamCharBufferTarget, trouble, usageFlag

Method Summary
`java.io.Writer` | `getOut()`
`GroovyPageOutputStack` | `getOutputStack()`

Methods inherited from class GrailsLazyProxyPrintWriter
getOut, isAllowUnwrappingOut, isDestinationActivated, setDestinationActivated, unwrap, updateDestination

Methods inherited from class GrailsPrintWriter
append, append, append, append, append, asPrintWriter, asType, checkError, clone, close, findStreamCharBufferTarget, flush, getMetaClass, getOut, getProperty, getWriterForEncoder, invokeMethod, isAllowUnwrappingOut, isDestinationActivated, isUsed, leftShift, leftShift, leftShift, leftShift, leftShift, markUsed, plus, print, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setError, setMetaClass, setOut, setProperty, setUsed, unwrap, unwrapWriter, write, write, write, write, write, write, write, writeWritable

Methods inherited from class java.io.Writer
java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long, int), java.io.Writer#wait(long), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Method Detail

### getOut

    @java.lang.Override
    public java.io.Writer getOut()

### getOutputStack

    public GroovyPageOutputStack getOutputStack()

Groovy Documentation